/**
 * JASMINe
 *
 * Copyright (C) 2007 Bull S.A.S.
 *
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * --------------------------------------------------------------------------
 * $Id: ConfigurationException.java Dec 18, 2007 4:09:00 PM jlegrand $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jasmine.configurator;

/**
 * @author Julien Legrand
 *
 */
public class ConfigurationException extends Exception {

    /**
     *
     */
    private static final long serialVersionUID = 3066712881754184955L;

    public ConfigurationException() {
        super();
    }

    public ConfigurationException(String message, Throwable cause) {
        super(message, cause);
    }

    public ConfigurationException(String message) {
        super(message);
    }

    public ConfigurationException(Throwable cause) {
        super(cause);
    }

}
