/**
 * JASMINe
 *
 * Copyright (C) 2007 Bull S.A.S.
 *
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * --------------------------------------------------------------------------
 * $Id: VelocityConfigurator.java Dec 18, 2007 4:08:02 PM jlegrand $
 * --------------------------------------------------------------------------
 */
package org.objectweb.jasmine.configurator.statik.velocity;

import org.apache.velocity.VelocityContext;
import org.objectweb.jasmine.configurator.Configurator;

/**
 * @author Julien Legrand
 *
 */
public interface VelocityConfigurator extends Configurator {

    /**
     * @return
     */
    VelocityContext getContext();

    /**
     * @return
     */
    String getTemplateFile();

    /**
     * @return
     */
    String getGeneratedFileName();


}
